*"表題 GTOOL 開始 GTOOL3(GTOPEN)
*
*"履歴 92/06/20 沼口  敦
*"     92/07/06 沼口  敦
*
*********************************************************************
*"         << GTOOL 開始 >>
*********************************************************************
      SUBROUTINE GTOPEN
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
*
      CHARACTER  HSIGN       *(NCC)        !" 名前
      CHARACTER  HAXDIR      *(NFILN)      !" 軸ファイル置き場
      CHARACTER  HAXLOC      *(NFILN)      !" 軸ファイル置き場
      CHARACTER  HAXWGT      *(NFILN)      !" 軸ファイル置き場
*
      INTEGER    LENC
*
      CALL GUGENV ( 'USER', HSIGN )
      IF ( HSIGN .EQ. ' ' ) THEN
         CALL GUGENV ( 'USERNAME', HSIGN )          
         IF ( HSIGN .EQ. ' ' ) THEN
            CALL MSGDMP( 'W','GTOPEN','YOU MUST SPECIFY "USER" ! ')
            HSIGN = 'GTOOL3'
         ENDIF
      ENDIF
*
      CALL GTSIGN ( HSIGN )                !" 作業者名の設定
*
      CALL GUGENV ( 'GTAXDIR', HAXDIR )
      IF ( HAXDIR .NE. ' ' ) THEN
         IC = LENC(HAXDIR)
         HAXLOC = HAXDIR(1:IC)//'/GTAXLOC.'
         HAXWGT = HAXDIR(1:IC)//'/GTAXWGT.'
         CALL GTCSET ( 'FAXLOC', HAXLOC )
         CALL GTCSET ( 'FAXWGT', HAXWGT )
      ENDIF
*
      RETURN
      END
